{% extends "base.html" %}
{% set active_page = "contact" %}
{% block title %}Contact{% endblock %}
{% block content %}
<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Contact Munadi</h4>
        </div>
        <div class="modal-body">
            <form action="{{ url_for('contact') }}" method="post" name="contact">
                {{ form.hidden_tag() }}
                <div class="form-group {% if form.name.errors|count %}has-error{% endif %}">
                    {{ form.name.label(class_="control-label") }}
                    {{ form.name(class_="form-control", placeholder="Enter name (Optional)") }}
                </div>
                <div class="form-group {% if form.email.errors|count %}has-error{% endif %}">
                    {{ form.email.label(class_="control-label") }}
                    {{ form.email(class_="form-control", placeholder="Enter email (Optional)") }}
                </div>
                <div class="form-group {% if form.message.errors|count %}has-error{% endif %}">
                    {{ form.message.label(class_="control-label") }}
                    {{ form.message(class_="form-control", placeholder="Enter message, not exceeding 1000 letters (Required).") }}
                </div>
            {{ form.submit(class_="btn btn-default") }}
            </form>
        <p>
            {% for flash in get_flashed_messages() %}
            <div class="alert alert-success">{{ flash|safe }}</div>
            {% endfor %}
        </p>
        </div>
    </div><!-- /.modal-content -->
</div><!-- /.modal-dialog -->
{% endblock %}